package org.yasrun.game.kafunwars;

import android.os.Handler;
import android.os.Message;

public class UpdateHandler extends Handler
{
        private Updatable updatable;

        public UpdateHandler(Updatable updatable)
        {
                this.updatable = updatable;
        }

        @Override
        public void handleMessage(Message msg)
        {
                updatable.update();
        }

        public void sleep(long sleepTime)
        {
                removeMessages(0);
                sendMessageDelayed(obtainMessage(0), sleepTime);
        }
}
