package org.yasrun.game.kafunwars.objects;

public abstract class FlyingObject {
    public int life = 0;
    public int X = 0;
    public int Y = 0;
    public int VX = 0;
    public int VY = 0;

    public FlyingObject(int x, int y, int vx, int vy) {
        this.X = x;
        this.Y = y;
        this.VX = vx;
        this.VY = vy;
        this.life = 1;
    }

    public void move() {
        X += VX;
        Y += VY;
    }

    abstract void judge();

    abstract boolean isDead();
}
